﻿Type=Activity
Version=3.82
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: false
#End Region

'Activity module
Sub Process_Globals
	Dim sensor As PhoneSensors
	Dim adtimer As Timer 
	Dim seekbarvalue As Int 
	Dim sy As Float 
	Dim sounds As SoundPool
	Dim bounceId As Int	
End Sub

Sub Globals

	Dim shabbat As Boolean = True
	Private Button1 As Button
	Private Button2 As Button
	Private CheckBox1 As CheckBox
	Private SeekBar1 As SeekBar
	Private shakepanel As Panel
	Dim mwAdInterstitial As mwAdmobInterstitial'admob
	Dim Canvas1 As Canvas
End Sub

Sub Activity_Create(FirstTime As Boolean)

	Activity.LoadLayout("menu1")
	
	If FirstTime Then
		sensor.Initialize(sensor.TYPE_ACCELEROMETER)
		Shake.CallBackActivity = "menu" 'Set the activity that handles the Shake event
		sounds.Initialize(1)
		bounceId = sounds.Load(File.DirAssets, "lock.ogg")
		
		mwAdInterstitial.Initialize("mwadi","ca-app-pub-8081096265852200/5785263177") 'new admob fullscreen
		Try
			mwAdInterstitial.LoadAd'
		Catch 
		Log("")
		End Try
		
		If File.Exists(File.DirInternal,"settings.txt") Then 
			Dim line1 As String 
			Dim line2 As String 
			
			Dim Reader1 As TextReader
		    Reader1.Initialize(File.OpenInput(File.DirInternal, "settings.txt"))
			line1 = Reader1.ReadLine
			line2 = Reader1.ReadLine
			Reader1.Close
		Else
			line1 = "11"
			line2 = "1"
		End If
		
		SeekBar1.Value = line1
		seekbarvalue = line1
		If line2 = "1" Then CheckBox1.Checked = True Else CheckBox1.Checked = False 
			
		adtimer.Initialize("adtimer",3000)
		adtimer.Enabled = True
		
		jobask

	End If
	
	Canvas1.Initialize(shakepanel)
    Canvas1.DrawLine(0,((shakepanel.Height-6)/20) * (20-SeekBar1.Value),shakepanel.Width,((shakepanel.Height-6)/20) * (20-SeekBar1.Value),Colors.Red,3dip)
	shakepanel.Invalidate 
	
	
'	Activity.AddMenuItem("Start recording", "StartRecording")
'	Activity.AddMenuItem("Stop recording", "EndRecording")
End Sub

Sub mwadi_AdLoaded 'new admob full screen test
    Log("ad loaded")
End Sub
Sub mwadi_AdFailedToLoad (ErrorMessage As String)
    Log("failed to load ad: " & ErrorMessage)
End Sub
Sub mwadi_AdClosed
   Log("ad closed")
End Sub

Sub jobask

	Try
		Dim job1 As HttpJob    'admob
		job1.Initialize("Job1", Me)
		job1.Download("http://www.sagital.net/shabbat/sh.txt")
	Catch
		Log("job1 failed")
	End Try

End Sub

Sub JobDone (job As HttpJob)

Try

	Dim txtsh As String = ""
	Log("JobName = " & job.JobName & ", Success = " & job.Success)
	If job.Success = True Then
		Select job.JobName
			Case "Job1"   'admob *(
				txtsh = job.GetString
	        	If txtsh = "0" Then
					shabbat = False
		        End If
		End Select
	Else
		Log("Error: " & job.ErrorMessage)
	End If
	job.Release

Catch
	Log("jobdone error")
End Try	
'	
End Sub

Sub Activity_Resume
	sensor.StartListening("sensor")
End Sub

Sub Activity_Pause (UserClosed As Boolean)
'	sensor.StopListening
End Sub

'Delegate the event handling to the Shake module
Sub sensor_SensorChanged (Values() As Float)
	Shake.HandleSensorEvent(Values)
End Sub

'This event is raised when a shake is detected
Sub ShakeEvent
'	Activity.Color = Colors.RGB(Rnd(0, 255), Rnd(0, 255), Rnd(0, 255))
	
	Try
		If CheckBox1.Checked = True Then 
			sounds.Play(bounceId, 1, 1, 1, 0, 1)	
		End If
	Catch
	Log("shakeevent")
	End Try

End Sub
'
'Sub StartRecording_Click
'	Shake.StartRecording(File.DirRootExternal, "1.csv")
'End Sub
'Sub EndRecording_Click
'	Shake.EndRecording
'End Sub

Sub Button1_Click
	ToastMessageShow("Listener turned on",False)
	StartServiceAt(shakeme, DateTime.Now+5, True)
End Sub
Sub Button2_Click
	ToastMessageShow("Listener turned off",False)
	StopService(shakeme)
End Sub
Sub CheckBox1_CheckedChange(Checked As Boolean)

Try
	Dim chkint As Int 
	
	 If CheckBox1.Checked = True Then 
		chkint = 1
	 Else 
		chkint = 0
	 End If
				 
	 Dim Writer1 As TextWriter 
	 Writer1.Initialize(File.OpenOutput(File.DirInternal, "tweetsline.txt", False))
	 Writer1.WriteLine(SeekBar1.Value)
	 Writer1.WriteLine(chkint)
	 Writer1.Close  
Catch
Log("")
End Try


End Sub
Sub SeekBar1_ValueChanged (Value As Int, UserChanged As Boolean)
	
	Try
		If UserChanged = True Then
			 Dim chkint As Int 
			 If CheckBox1.Checked = True Then chkint = 1  Else chkint = 0
			
			 Dim Writer1 As TextWriter 
			 Writer1.Initialize(File.OpenOutput(File.DirInternal, "tweetsline.txt", False))
			 Writer1.WriteLine(SeekBar1.Value)
			 Writer1.WriteLine(chkint)
			 Writer1.Close  		
			 
			 shakepanelerease
		     Canvas1.DrawLine(0,((shakepanel.Height-6)/20) * (20-SeekBar1.Value),shakepanel.Width,((shakepanel.Height-6)/20) * (20-SeekBar1.Value),Colors.Red,3dip)
			 shakepanel.Invalidate 
	
		     seekbarvalue = SeekBar1.Value 
		End If
	Catch
		Log("")
	End Try

End Sub

Sub shakepanelerease
Try
	 Dim rect1 As Rect 
	 rect1.Initialize(0,0,shakepanel.Width,shakepanel.Height)
	 Canvas1.DrawRect(rect1,Colors.White,True,0)
	 shakepanel.Invalidate 
Catch
Log("")
End Try
End Sub

Sub adtimer_tick
	If mwAdInterstitial.Status =  mwAdInterstitial.Status_AdReadyToShow Then 
		adtimer.Enabled = False
		If shabbat = False Then mwAdInterstitial.Show
	End If
End Sub
Sub drawlive 

Try

	shakepanelerease

    Canvas1.DrawLine(0,((shakepanel.Height-6)/20) * (20-SeekBar1.Value),shakepanel.Width,((shakepanel.Height-6)/20) * (20-SeekBar1.Value),Colors.Red,3dip)
	If sy >= (shakepanel.Height/20 * (20-SeekBar1.Value)) Then 
		Canvas1.DrawLine(0,((shakepanel.Height-6)/20) * (20-sy),shakepanel.Width,((shakepanel.Height-6)/20) * (20-sy),Colors.Green,3dip)	    
	Else
		Canvas1.DrawLine(0,((shakepanel.Height-6)/20) * (20-sy),shakepanel.Width,((shakepanel.Height-6)/20) * (20-sy),Colors.Black,3dip)	 	
	End If
	shakepanel.Invalidate 

Catch
Log("error live")
End Try
	
End Sub