﻿Type=StaticCode
Version=4.3
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	Type AxisData (lastValue1 As Float, lastValue2 As Float, timeStamp As Long, checknow As Boolean)
	Dim AxisX As AxisData
	AxisX.lastValue1 = 9.8 'avoid false alarm on first time
	Dim CallBackActivity As String
	Dim result, difference As Float
	Dim TimeThreshold As Int
	TimeThreshold = 1000 'milliseconds
End Sub

Sub HandleSensorEvent(values() As Float)
	CalcAxis(values(0),values(1),values(2), AxisX)
End Sub
Sub CalcAxis(x As Float, y As Float, z As Float, axis As AxisData)

	result = Sqrt(x*x + y*y + z*z)
	difference = result - axis.lastValue1
	
	
	axisdraw
	
	Log("result: " & result)
	Log("lastValue1: " & axis.lastValue1)
	Log("difference: " & difference)
	
	If axis.checknow = True Then 
		If DateTime.Now - axis.timeStamp > TimeThreshold Then 
			If Abs(difference) < 2 Then CallSub(Main,"ShakeEvent") Else axis.Initialize : axis.checknow = False : Log("difference to big")
		End If
	Else
		If File.Exists(File.DirInternal,"shockdetected.dat") = False Then 
			If Abs(difference) > Max(Main.seekbarvalue*2, 11) AND axis.lastValue2 < 3 Then 
				axis.timeStamp = DateTime.Now 
				axis.checknow = True
			End If
		End If	
	End If
	
	axis.lastValue2 = Abs(difference)
	axis.lastValue1 = Abs(result)	
	
End Sub

Sub axisdraw
	Main.sy = difference
	CallSub(CallBackActivity, "drawlive")
End Sub